.article {
  p,
  li,
  .ce-paragraph {
    color: var(--bs-body-color);

    b,
    i {
      color: var(--bs-gray-900);
    }
  }

  .cdx-block.cdx-quote,
  .blockquote {
    font-style: italic;
    margin: $spacer 0;

    p {
      color: rgb(var(--bs-indigo-400-rgb));
    }
  }

  .blockquote-footer {
    margin-top: 1rem;
  }

  .ce-delimiter {
    line-height: $line-height-lg * 2;
    width: 100%;
    text-align: center;

    &::before {
      display: inline-block;
      content: "***";
      font-size: $font-size-base * 3;
      letter-spacing: 0.2em;
      color: var(--bs-gray-800);
    }
  }

  .page-col[data-type="map/map-view"],
  .embed,
  .ce-block.is-embed {
    margin-bottom: $spacer;
    border-radius: 0.5em;
    overflow: hidden;
  }

  .embed,
  .ce-block.is-embed {
    width: 100%;
    display: inline-block;

    min-width: 350px;
    max-width: 720px;

    &.figure,
    iframe {
      aspect-ratio: 16/9;
      width: 100%;
    }
  }

  .image-tool {
    &__image {
      margin-top: $spacer;
      margin-bottom: $spacer;

      img {
        width: 100%;
        border-radius: $border-radius;
      }
    }

    &--withBorder &--stretched {
      img {
        border: 3px solid var(--bs-gray-900);
      }
    }

    &--stretched {
      img {
        width: calc(100% + 2em);
        margin-left: -1em;
      }
    }

    &--withBackground {
      .image-tool__image {
        background-color: var(--bs-gray-700);
        border: 1px solid var(--bs-gray-900);
      }

      .page-col-image-caption {
        color: var(--bs-white) !important;
      }
    }

    .page-col-image-caption {
      text-align: center;
      margin-top: $spacer * 0.3;
    }
  }

  .image-tool--withBackground.image-tool--stretched {
    img {
      width: 60%;
      margin: auto;
    }
  }
}
